Subject: [Netconf] Subtree filter data structure

From: "DIOGO GOMES DE PINHO SILVA LOUREIRO" <[email-masked]>
Date: Mon, 04 Apr 2011 16:37:56 +0100

Hello,

I'm Diogo Loureiro, a Master student of Computer and 
Telemathics Engineering at the University of Aveiro.
Nowadays I'm in the Telecommunications Institute 
(http://www.it.pt) doing an API in C/C++ of NETCONF over 
SOAP as my thesis.

I used gSOAP to generate the skeleton code for the SOAP 
client and server.
For this I used the wsdl code provided in the section 3.7 
of the RFC4743 "Using NETCONF over the Simple Object 
Access Protocol (SOAP)" and the xsd called within.

Currently I have a problem, when passing the subtree 
filter of the "get" and "get-config" operations. The xsd 
doesn't define any structure for this purpose.
The gSOAP auto-generated code for the subtree filter just 
has a "FilterType" and a "select" for Xpath filtering.
Is there any data structure for this subtree filter or 
should I do it?
Is there any other xsd that I should use?

Thank You Very Much,
Diogo Loureiro